---
title: MutationObserver.disconnect()
slug: Web/API/MutationObserver/disconnect
tags:
  - API
  - Changes
  - DOM
  - DOM Changes
  - DOM Reference
  - DOM Tree
  - Disconnect
  - Method
  - Mutation Observer
  - Mutation Observer API
  - MutationObserver
  - Observing
  - Reference
  - Watching
  - mutation
  - stop
---
<div>{{APIRef("DOM WHATWG")}}</div>

<p><span class="seoSummary">The {{domxref("MutationObserver")}} method <code><strong>disconnect()</strong></code> tells the observer to stop watching for mutations.</span> The observer can be reused by calling its {{domxref("MutationObserver.observe", "observe()")}} method again.</p>

<ul>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>mutationObserver</var>.disconnect()
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<div class="note">
<p><strong>Note:</strong> All notifications of mutations that have already been <em>detected</em>, but <em>not yet reported</em> to the observer, are discarded.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p>If the element being observed is removed from the DOM, and then subsequently released by the browser's garbage collection mechanism, the <code>MutationObserver</code> is likewise deleted.</p>

<h2 id="Example">Example</h2>

<p>This example creates an observer, then disconnects from it, leaving it available for possible reuse.</p>

<pre class="brush: js notranslate">const targetNode = document.querySelector("#someElement");
const observerOptions = {
  childList: true,
  attributes: true
}

const observer = new MutationObserver(callback);
observer.observe(targetNode, observerOptions);

/* some time later... */

observer.disconnect();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-mutationobserver-disconnect', 'MutationObserver.disconnect()')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MutationObserver.disconnect")}}</p>
